MediaWiki:Common.css

From Mamiya Wiki
Revision as of 16:12, 11 June 2023 by Mamiyawiki (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Internet Explorer / Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5
  • Opera: Press Ctrl-F5.
/* CSS placed here will be applied to all skins */

/* GO TO: http://mamiyawiki.com/index.php?title=MediaWiki:Timeless.css
TO DO THINGS REGARDING BOOTSTRAP, MOBILE VIEW, MEDIA QUERIES, RESPONSIVE DESIGN, ETC. */

/* BEGIN CUSTOM CSS FOR MAMIYA WIKI */

/* Table of Contents
=================================
	1. COMMON
	2. COLOR STYLES
	3. STORY STYLES
	4. TABLE STYLES
	5. DIV STYLES
	6. TAB STYLES
	7. RESPONSIVE STYLES
=================================
*/

/*
=================================
	1. COMMON
=================================
*/

/* Custom Fonts */
@import url('https://fonts.googleapis.com/css?family=Arvo:400,700');
@import url('https://fonts.googleapis.com/css?family=Noto+Sans+JP:400,700&subset=japanese');
@import url("https://use.fontawesome.com/releases/v5.0.4/css/all.css");

/* [begin] YAKUHAN */

/* ===================================================
*
*  Webfonts Title: Yaku Han JP ver.Small Amount
*  Author: Qrac
*  URL: https://twitter.com/Qrac_jp
*  "Noto Sans CJK JP" licensed under the SIL Open Font License
*  https://www.google.com/get/noto/#/
*
=================================================== */

@font-face {
  font-family: 'YakuHanJPs';
  font-style: normal;
  font-weight: 100;
  src: url(../fonts/YakuHanJPs/YakuHanJPs-Thin.woff2) format('woff2'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Thin.woff) format('woff'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Thin.eot);
}
@font-face {
  font-family: 'YakuHanJPs';
  font-style: normal;
  font-weight: 400;
  src: url(../fonts/YakuHanJPs/YakuHanJPs-Regular.woff2) format('woff2'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Regular.woff) format('woff'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Regular.eot);
}
@font-face {
  font-family: 'YakuHanJPs';
  font-style: normal;
  font-weight: 900;
  src: url(../fonts/YakuHanJPs/YakuHanJPs-Black.woff2) format('woff2'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Black.woff) format('woff'),
  url(../fonts/YakuHanJPs/YakuHanJPs-Black.eot);
}

/* [end] YAKUHAN */

/* Media Queries */

@media only screen and (max-width:92em) {
    .musicinfo {
        width: 18rem;
    }
}


@media only screen and (max-width: 62em) {
    .musicinfo {
        float:none;
        width:100%;
    }
}

/* [end] Media Queries */

/* [begin] Homepage Styles */
h2.welcomeheader {
    font-family: arvo, sans-serif;
    font-weight: normal;
    margin-top: 0;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    font-size: 1.8rem;
    border-bottom: none;
}
/* [end] Homepage Styles */




/*